# Uses of Class
it.tdlight.jni.TdApi.InlineQueryResultsButton

## Uses of TdApi.InlineQueryResultsButton in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.InlineQueryResultsButton
Modifier and Type
Field
Description
`TdApi.InlineQueryResultsButton`
TdApi.AnswerInlineQuery.`button`
Button to be shown above inline query results; pass null if none.
`TdApi.InlineQueryResultsButton`
TdApi.InlineQueryResults.`button`
Button to be shown above inline query results; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.InlineQueryResultsButton
Modifier
Constructor
Description
``
`AnswerInlineQuery(long inlineQueryId, boolean isPersonal, TdApi.InlineQueryResultsButton button, TdApi.InputInlineQueryResult[] results, int cacheTime, String nextOffset)`
Sets the result of an inline query; for bots only.
``
`InlineQueryResults(long inlineQueryId, TdApi.InlineQueryResultsButton button, TdApi.InlineQueryResult[] results, String nextOffset)`
Represents the results of the inline query.